# Assign (or change) the shipment's gate Mirrors ManifestIntegrationController#createManifestGate. The gateExternalId path variable accepts the gate's external identifier (primary) or internal uuid (fallback). Must be called before transitioning the shipment to IN_PROGRESS. Endpoint: POST /integration/rest/api/v1/shipment/{shipmentExternalId}/gate/{gateExternalId} Version: v0 Security: X-AUTH-KEY ## Path parameters: - `shipmentExternalId` (string, required) Shipment external identifier or uuid. Example: "SHIP-2024-001" - `gateExternalId` (string, required) Gate external identifier (preferred) or uuid. Example: "DOCK-A1" ## Response 400 fields (*/*): - `code` (string) Error code - `message` (string) Error message - `timeStamp` (integer) Timestamp - `correlationId` (string) Correlation id ## Response 403 fields (*/*): - `code` (string) Error code - `message` (string) Error message - `timeStamp` (integer) Timestamp - `correlationId` (string) Correlation id ## Response 404 fields (*/*): - `code` (string) Error code - `message` (string) Error message - `timeStamp` (integer) Timestamp - `correlationId` (string) Correlation id ## Response 500 fields (*/*): - `code` (string) Error code - `message` (string) Error message - `timeStamp` (integer) Timestamp - `correlationId` (string) Correlation id